Package org.apache.sling.adapter.annotations

# Annotationstyp AdapterCondition

@ComponentPropertyType public @interface AdapterCondition
Component Property Type (as defined by OSGi DS 1.4) for the condition for Sling Adapters. Takes care of writing the service property `adapter.condition`.

The use of this annotation will only have an effect if used in conjunction with the `SlingAdapter` annotation, which defines properties that are required for an `AdapterFactory` to be picked up.

Use this annotation to specify the condition under which the adaption will take place. The main use-case for annotating a class with this annotation, is when the result of the adaption could be `null`.

## Erforderliche Elemente - Übersicht

Erforderliche Elemente
Modifizierer und Typ
Erforderliches Element
Beschreibung
`String`
`value`
Specifies the condition under which this adaption takes place.

## Elementdetails

### value

String value
Specifies the condition under which this adaption takes place. The most common way to do this is to use a language such as "If the ... is a ...", "If the adaptable ...", etc.

Gibt zurück:
  The condition under which this adaption takes place